> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Responses



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/responses
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/responses:
    get:
      tags:
        - Client Presentations
      summary: Responses
      operationId: ClientPresentationsController_responses_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
        - name: 'n'
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VersionResponsesDto'
components:
  schemas:
    VersionResponsesDto:
      type: object
      properties:
        'n':
          type: number
        items:
          type: array
          items:
            $ref: '#/components/schemas/PresentationResponseItemDto'
      required:
        - 'n'
        - items
    PresentationResponseItemDto:
      type: object
      properties:
        outcome:
          enum:
            - accepted
            - refused
            - alternative
            - pending
          type: string
        slotId:
          type: string
        refNumber:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        alternatives:
          type: array
          items:
            $ref: '#/components/schemas/PresentationAlternativeViewDto'
        answers:
          type: array
          items:
            $ref: '#/components/schemas/PresentationAnswerDto'
      required:
        - outcome
        - slotId
        - refNumber
        - name
        - imageUrl
        - alternatives
        - answers
    PresentationAlternativeViewDto:
      type: object
      properties:
        inStock:
          type:
            - boolean
            - 'null'
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        vendor:
          type:
            - string
            - 'null'
        finish:
          type:
            - string
            - 'null'
        dimensions:
          type:
            - string
            - 'null'
        leadTime:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        price:
          type:
            - string
            - 'null'
      required:
        - inStock
        - id
        - name
        - vendor
        - finish
        - dimensions
        - leadTime
        - imageUrl
    PresentationAnswerDto:
      type: object
      properties:
        decision:
          enum:
            - accepted
            - refused
            - alternative
          type: string
        optionComments:
          type: object
          additionalProperties:
            type: string
        source:
          type:
            - string
            - 'null'
          enum:
            - offline
            - portal
            - null
        attestorId:
          type:
            - string
            - 'null'
        carriedFromVersion:
          type:
            - number
            - 'null'
        carriedSubmittedAt:
          type:
            - string
            - 'null'
        userId:
          type: string
        name:
          type:
            - string
            - 'null'
        email:
          type: string
        alternativeId:
          type:
            - string
            - 'null'
        comment:
          type:
            - string
            - 'null'
        submittedAt:
          type: string
      required:
        - decision
        - optionComments
        - userId
        - name
        - email
        - alternativeId
        - comment
        - submittedAt

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.